=== debian/control ===
Source: kdnssd-kf5
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libavahi-common-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdnssd
Vcs-Git: https://invent.kde.org/neon/kde/kdnssd.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdnssd
Maintainer: Neon CI <neon@kde.org>

Package: libkf5dnssd-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 This package contains the data files.

Package: libkf5dnssd-dev
Section: libdevel
Architecture: any
Depends: libkf5dnssd5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5dnssd-doc (= ${source:Version})
Breaks: libkf5dnssd-doc (<< 5.61.90-0), libkf5kdelibs4support-dev (<< 5.51)
Replaces: libkf5dnssd-doc (<< 5.61.90-0)
Description: development files for kdnssd
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 Contains development files for kdnssd.

Package: libkf5dnssd-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Abstraction to system DNSSD features (documentation)
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5dnssd5
Architecture: any
Multi-Arch: same
Depends: libkf5dnssd-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
