## kdnssd-kf5 5.116.0+p24.04+vstable+git20251019.0213

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vstable+git20251019.0213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:13:36 +0000
