## kdnssd-kf5 5.116.0+p24.04+vstable+git20251224.0608

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vstable+git20251224.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:09:03 +0000
