## kdnssd-kf5 5.116.0+p24.04+vstable+git20260113.0241

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vstable+git20260113.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:41:33 +0000
