## kdnssd-kf5 5.116.0+p24.04+vunstable+git20251020.0125

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vunstable+git20251020.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:26:06 +0000
