## kdnssd-kf5 5.116.0+p24.04+vunstable+git20251224.0639

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vunstable+git20251224.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:39:21 +0000
