## kdnssd-kf5 5.116.0+p24.04+vunstable+git20260123.0202

=== debian/changelog ===
kdnssd-kf5 (5.116.0+p24.04+vunstable+git20260123.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:03:06 +0000
